The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> _toupper - transliterate lowercase characters to uppercase

#### SYNOPSIS

> ``[OB XSI] #include <ctype.h>
> int _toupper(int` c`);``
> `
> `

#### DESCRIPTION

> The _toupper() macro shall be equivalent to toupper() except that the application shall ensure that the argument c is a lowercase letter.

#### RETURN VALUE

> Upon successful completion, _toupper() shall return the uppercase letter corresponding to the argument passed.

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> Applications should use the toupper() function instead of the obsolescent _toupper() function.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> The _toupper() function may be removed in a future version.

#### SEE ALSO

> islower, toupper

> XBD Locale, <ctype.h>

#### CHANGE HISTORY

> First released in Issue 1. Derived from Issue 1 of the SVID.

#### Issue 6

> The normative text is updated to avoid use of the term "must" for application requirements.

#### Issue 7

> The _toupper() function is marked obsolescent.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]